mchar_encode(3m17n)

NAME
mchar_encode - Encode a character code.

SYNOPSIS
unsigned mchar_encode (MSymbol charset_name, int c)

DESCRIPTION
Encode a character code.

The mchar_encode() function encodes character code c to get a code-point in the charset represented by the symbol charset_name.

RETURN VALUE

    If encoding was successful, mchar_encode() returns the encoded code-point. Otherwise it returns MCHAR_INVALID_CODE.

SEE ALSO

    mchar_decode()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.